__all__ = 'APISchema'

import gm_meta_plugin
from gm_qt_plugin import qt_utils


class QtAPISchema(gm_meta_plugin.gridmarkets.APISchema):

    """
    def create__project_attribute_widgets(self, project_attribute, widgets, indent):
        widget_id = project_attribute.get_id()

        # get blender properties for the base attribute
        qt_utils.add_widgets_for_attribute(self.get_plugin(), project_attribute.get_attribute(), widgets, widget_id)

        for child_attribute in project_attribute.get_children():
            self.create__project_attribute_widgets(child_attribute, widgets, indent + 4)

    def create_project_attribute_widgets(self):
        # register Project Attribute props
        root_project_attribute = self.get_project_definition_schema().get_root_project_attribute()

        widgets = {}
        self.create__project_attribute_widgets(root_project_attribute, widgets, 0)
        return widgets
    """

    def __init__(self,
                 plugin,
                 job_definitions,
                 project_definition_schema):
        gm_meta_plugin.gridmarkets.APISchema.__init__(self, plugin, job_definitions, project_definition_schema)
