__all__ = 'PushButton'

from PySide2 import QtCore, QtWidgets


class PushButton(QtWidgets.QPushButton):

    def __init__(self, text, parent=None):
        QtWidgets.QPushButton.__init__(self, parent=None)

        self.setText(text)
        self.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.setSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        self.setCursor(QtCore.Qt.PointingHandCursor)
