__all__ = 'MayaFilePacker'

import pathlib
import gm_meta_plugin
from maya.app.general import zipScene
import maya.cmds as cmds
import maya.mel


class MayaFilePacker(gm_meta_plugin.FilePacker):

    def pack(self, target_file, output_dir):
        from gm_maya_plugin.plugin_fetcher import PluginFetcher
        plugin = PluginFetcher.get_plugin()
        logging_coordinator = plugin.get_logging_coordinator()
        log = logging_coordinator.get_logger(__name__)

        """
        self.pack_blend_file(str(target_file), str(output_dir), BatProgressCallback(log))

        # delete pack-info.txt if it exists
        pack_info_file = output_dir / self.BAT_PACK_INFO_FILE_NAME
        if pack_info_file.is_file():
            log.info("Removing '%s'..." % str(pack_info_file))
            pack_info_file.unlink()

        project_name = output_dir.stem

        files = utils.get_files_in_directory(output_dir)
        attributes = {
            api_constants.API_KEYS.PATH: str(output_dir / target_file.name),
        }

        log.info("Finished packing project \"" + str(target_file) + "\" to \"" + str(output_dir) + "\"")
        return PackedProject(project_name,
                             output_dir,
                             files,
                             attributes)
        """